#include "util.h"
#include <sstream>
#include <iomanip>

namespace Util
{

ErrorMsg::ErrorMsg( const std::string & _message ) :
        message( _message )
{
        // No code here.
}

/* Destructor */
ErrorMsg::~ErrorMsg()
{
        // No code here.
}

/* Get message */
const std::string & ErrorMsg::What()
{
        return message;
}
unsigned char convertHex(std::string str)
{
    int res = 0;
    if(str.size()!=2)
    {
        throw new ErrorMsg("Hex convert error");
    }

    std::istringstream istr(str);
    istr.flags(std::ios::hex);
    //istr<<std::hex;
    istr>>res;

    return res;
}

std::string   convertToHex(unsigned char c)
{
    std::ostringstream ostr;
    ostr<<std::hex<<std::setw(2)<<std::setfill('0')<<std::uppercase;
    ostr<<static_cast<int>(c);

    return ostr.str();
}

}
