#ifndef UTIL_H
#define UTIL_H

#include <string>


namespace Util
{

class ErrorMsg
{
protected:
    std::string message; // Contains the error message.

public:
    // Constructors taking the string as parameter.
    ErrorMsg( const std::string & _message );

    // Destructor
    ~ErrorMsg();

    // Function returning the error msg.
    virtual const std::string & What();
};

unsigned char convertHex(std::string);
std::string   convertToHex(unsigned char);
}

#endif // UTIL_H
