#ifndef CMEMORYMODEL_H
#define CMEMORYMODEL_H

#include <vector>
#include "intelhexrecord.h"

class CMemoryModel
{
public:
    CMemoryModel();
    void insert(unsigned int addr, unsigned char val);
    void insert(unsigned int addr, std::vector<unsigned char> val);
    void owerwrite(unsigned int addr, unsigned char val);
    void owerwrite(unsigned int addr, std::vector<unsigned char> val);
    int size(){return data_.size();}
    std::vector<CAbstractIntelHexRecord*> toRecords(int rec_size = 16);
private:
    std::vector<unsigned char> data_;
};

#endif // CMEMORYMODEL_H
